Skip to main content
POST
/
v2
/
workflows
/
{workflow}
/
instances
/
{instance}
/
analysisResults
Create AnalysisResult
curl --request POST \
  --url https://stats.eu.confidence.dev/v2/workflows/{workflow}/instances/{instance}/analysisResults \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "parent": "<string>",
  "analysisResult": {
    "createTime": {},
    "updateTime": {},
    "creator": "<string>",
    "updater": "<string>",
    "name": "<string>",
    "exposureFilter": "<string>",
    "annotations": [
      {
        "context": [
          {
            "value": "<string>"
          }
        ],
        "info": "<string>",
        "warning": "<string>",
        "error": {
          "details": "<string>"
        }
      }
    ],
    "results": [
      {
        "id": "<string>",
        "statsSettings": {
          "adjustedAlpha": 123,
          "adjustedBeta": {
            "value": 123
          },
          "hasVarianceReduction": true
        },
        "result": [
          {
            "status": {
              "message": "<string>",
              "decisionPowered": {
                "value": true
              },
              "decisionIsSignificant": {
                "value": true
              },
              "validationIsSignificant": {
                "value": true
              }
            },
            "groups": {
              "baseline": "<string>",
              "compared": "<string>"
            },
            "result": [
              {
                "resultTime": "<string>",
                "baselineEstimateAbs": {
                  "value": 123
                },
                "comparedEstimateAbs": {
                  "value": 123
                },
                "baselineEstimateRel": {
                  "value": 123
                },
                "comparedEstimateRel": {
                  "value": 123
                },
                "differenceEstimateAbs": {
                  "estimate": {
                    "value": 123
                  },
                  "lower": {
                    "value": 123
                  },
                  "upper": {
                    "value": 123
                  },
                  "powered": {
                    "value": 123
                  },
                  "isSignificant": {
                    "value": true
                  }
                },
                "differenceEstimateRel": {
                  "estimate": {
                    "value": 123
                  },
                  "lower": {
                    "value": 123
                  },
                  "upper": {
                    "value": 123
                  },
                  "powered": {
                    "value": 123
                  },
                  "isSignificant": {
                    "value": true
                  }
                },
                "varianceReductionRate": {
                  "value": 123
                },
                "unadjustedEstimateBaseline": {
                  "value": 123
                },
                "unadjustedEstimateCompared": {
                  "value": 123
                },
                "baselineSampleSize": {
                  "value": 123
                },
                "comparedSampleSize": {
                  "value": 123
                }
              }
            ],
            "lastResult": {
              "resultTime": "<string>",
              "baselineEstimateAbs": {
                "value": 123
              },
              "comparedEstimateAbs": {
                "value": 123
              },
              "baselineEstimateRel": {
                "value": 123
              },
              "comparedEstimateRel": {
                "value": 123
              },
              "differenceEstimateAbs": {
                "estimate": {
                  "value": 123
                },
                "lower": {
                  "value": 123
                },
                "upper": {
                  "value": 123
                },
                "powered": {
                  "value": 123
                },
                "isSignificant": {
                  "value": true
                }
              },
              "differenceEstimateRel": {
                "estimate": {
                  "value": 123
                },
                "lower": {
                  "value": 123
                },
                "upper": {
                  "value": 123
                },
                "powered": {
                  "value": 123
                },
                "isSignificant": {
                  "value": true
                }
              },
              "varianceReductionRate": {
                "value": 123
              },
              "unadjustedEstimateBaseline": {
                "value": 123
              },
              "unadjustedEstimateCompared": {
                "value": 123
              },
              "baselineSampleSize": {
                "value": 123
              },
              "comparedSampleSize": {
                "value": 123
              }
            },
            "sampleSize": {
              "current": 123,
              "required": 123,
              "poweredEffectRel": {
                "value": 123
              },
              "poweredEffectAbs": {
                "value": 123
              }
            },
            "isSignificant": {
              "value": true
            },
            "comparisonId": "<string>",
            "groupStats": [
              {
                "id": "<string>",
                "sampleSize": 123
              }
            ],
            "dimensions": [
              {}
            ],
            "segmentId": "<string>",
            "lastDeteriorationResult": {
              "resultTime": "<string>",
              "baselineEstimateAbs": {
                "value": 123
              },
              "comparedEstimateAbs": {
                "value": 123
              },
              "baselineEstimateRel": {
                "value": 123
              },
              "comparedEstimateRel": {
                "value": 123
              },
              "differenceEstimateAbs": {
                "estimate": {
                  "value": 123
                },
                "lower": {
                  "value": 123
                },
                "upper": {
                  "value": 123
                },
                "powered": {
                  "value": 123
                },
                "isSignificant": {
                  "value": true
                }
              },
              "differenceEstimateRel": {
                "estimate": {
                  "value": 123
                },
                "lower": {
                  "value": 123
                },
                "upper": {
                  "value": 123
                },
                "powered": {
                  "value": 123
                },
                "isSignificant": {
                  "value": true
                }
              },
              "varianceReductionRate": {
                "value": 123
              },
              "unadjustedEstimateBaseline": {
                "value": 123
              },
              "unadjustedEstimateCompared": {
                "value": 123
              },
              "baselineSampleSize": {
                "value": 123
              },
              "comparedSampleSize": {
                "value": 123
              }
            }
          }
        ],
        "annotations": [
          {
            "context": [
              {
                "value": "<string>"
              }
            ],
            "info": "<string>",
            "warning": "<string>",
            "error": {
              "details": "<string>"
            }
          }
        ],
        "metricDetails": {
          "plannedEffectSize": {
            "value": "<string>"
          },
          "hasRun": true
        },
        "srmResult": [
          {
            "status": {
              "message": "<string>",
              "decisionPowered": {
                "value": true
              },
              "decisionIsSignificant": {
                "value": true
              },
              "validationIsSignificant": {
                "value": true
              }
            },
            "isSignificant": true,
            "dimensions": [
              {}
            ],
            "segmentId": "<string>",
            "result": [
              {
                "group": "<string>",
                "observed": 123,
                "expected": 123,
                "isSignificant": true
              }
            ]
          }
        ]
      }
    ],
    "treatments": [
      {
        "id": "<string>",
        "recommendation": {
          "status": {}
        }
      }
    ],
    "labels": [
      {}
    ]
  },
  "analysisResultId": "<string>"
}
'
{
  "createTime": {},
  "updateTime": {},
  "creator": "<string>",
  "updater": "<string>",
  "name": "<string>",
  "exposureFilter": "<string>",
  "annotations": [
    {
      "context": [
        {
          "value": "<string>"
        }
      ],
      "info": "<string>",
      "warning": "<string>",
      "error": {
        "details": "<string>"
      }
    }
  ],
  "results": [
    {
      "id": "<string>",
      "statsSettings": {
        "adjustedAlpha": 123,
        "adjustedBeta": {
          "value": 123
        },
        "hasVarianceReduction": true
      },
      "result": [
        {
          "status": {
            "message": "<string>",
            "decisionPowered": {
              "value": true
            },
            "decisionIsSignificant": {
              "value": true
            },
            "validationIsSignificant": {
              "value": true
            }
          },
          "groups": {
            "baseline": "<string>",
            "compared": "<string>"
          },
          "result": [
            {
              "resultTime": "<string>",
              "baselineEstimateAbs": {
                "value": 123
              },
              "comparedEstimateAbs": {
                "value": 123
              },
              "baselineEstimateRel": {
                "value": 123
              },
              "comparedEstimateRel": {
                "value": 123
              },
              "differenceEstimateAbs": {
                "estimate": {
                  "value": 123
                },
                "lower": {
                  "value": 123
                },
                "upper": {
                  "value": 123
                },
                "powered": {
                  "value": 123
                },
                "isSignificant": {
                  "value": true
                }
              },
              "differenceEstimateRel": {
                "estimate": {
                  "value": 123
                },
                "lower": {
                  "value": 123
                },
                "upper": {
                  "value": 123
                },
                "powered": {
                  "value": 123
                },
                "isSignificant": {
                  "value": true
                }
              },
              "varianceReductionRate": {
                "value": 123
              },
              "unadjustedEstimateBaseline": {
                "value": 123
              },
              "unadjustedEstimateCompared": {
                "value": 123
              },
              "baselineSampleSize": {
                "value": 123
              },
              "comparedSampleSize": {
                "value": 123
              }
            }
          ],
          "lastResult": {
            "resultTime": "<string>",
            "baselineEstimateAbs": {
              "value": 123
            },
            "comparedEstimateAbs": {
              "value": 123
            },
            "baselineEstimateRel": {
              "value": 123
            },
            "comparedEstimateRel": {
              "value": 123
            },
            "differenceEstimateAbs": {
              "estimate": {
                "value": 123
              },
              "lower": {
                "value": 123
              },
              "upper": {
                "value": 123
              },
              "powered": {
                "value": 123
              },
              "isSignificant": {
                "value": true
              }
            },
            "differenceEstimateRel": {
              "estimate": {
                "value": 123
              },
              "lower": {
                "value": 123
              },
              "upper": {
                "value": 123
              },
              "powered": {
                "value": 123
              },
              "isSignificant": {
                "value": true
              }
            },
            "varianceReductionRate": {
              "value": 123
            },
            "unadjustedEstimateBaseline": {
              "value": 123
            },
            "unadjustedEstimateCompared": {
              "value": 123
            },
            "baselineSampleSize": {
              "value": 123
            },
            "comparedSampleSize": {
              "value": 123
            }
          },
          "sampleSize": {
            "current": 123,
            "required": 123,
            "poweredEffectRel": {
              "value": 123
            },
            "poweredEffectAbs": {
              "value": 123
            }
          },
          "isSignificant": {
            "value": true
          },
          "comparisonId": "<string>",
          "groupStats": [
            {
              "id": "<string>",
              "sampleSize": 123
            }
          ],
          "dimensions": [
            {}
          ],
          "segmentId": "<string>",
          "lastDeteriorationResult": {
            "resultTime": "<string>",
            "baselineEstimateAbs": {
              "value": 123
            },
            "comparedEstimateAbs": {
              "value": 123
            },
            "baselineEstimateRel": {
              "value": 123
            },
            "comparedEstimateRel": {
              "value": 123
            },
            "differenceEstimateAbs": {
              "estimate": {
                "value": 123
              },
              "lower": {
                "value": 123
              },
              "upper": {
                "value": 123
              },
              "powered": {
                "value": 123
              },
              "isSignificant": {
                "value": true
              }
            },
            "differenceEstimateRel": {
              "estimate": {
                "value": 123
              },
              "lower": {
                "value": 123
              },
              "upper": {
                "value": 123
              },
              "powered": {
                "value": 123
              },
              "isSignificant": {
                "value": true
              }
            },
            "varianceReductionRate": {
              "value": 123
            },
            "unadjustedEstimateBaseline": {
              "value": 123
            },
            "unadjustedEstimateCompared": {
              "value": 123
            },
            "baselineSampleSize": {
              "value": 123
            },
            "comparedSampleSize": {
              "value": 123
            }
          }
        }
      ],
      "annotations": [
        {
          "context": [
            {
              "value": "<string>"
            }
          ],
          "info": "<string>",
          "warning": "<string>",
          "error": {
            "details": "<string>"
          }
        }
      ],
      "metricDetails": {
        "plannedEffectSize": {
          "value": "<string>"
        },
        "hasRun": true
      },
      "srmResult": [
        {
          "status": {
            "message": "<string>",
            "decisionPowered": {
              "value": true
            },
            "decisionIsSignificant": {
              "value": true
            },
            "validationIsSignificant": {
              "value": true
            }
          },
          "isSignificant": true,
          "dimensions": [
            {}
          ],
          "segmentId": "<string>",
          "result": [
            {
              "group": "<string>",
              "observed": 123,
              "expected": 123,
              "isSignificant": true
            }
          ]
        }
      ]
    }
  ],
  "treatments": [
    {
      "id": "<string>",
      "recommendation": {
        "status": {}
      }
    }
  ],
  "labels": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://confidence-auth-testing.mintlify.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflow
string
required
instance
string
required

Query Parameters

analysisResultId
string

The ID to use for the analysis result, which will become the final component of the analysis result's resource name. If not set a random id will be generated.

This value should be 2-63 characters, and valid characters are /[a-z][0-9]-/.

Body

application/json
parent
string
required

The parent workflow instance Format: workflows/{workflow}/instances/{workflow_instance}

analysisResult
AnalysisResult · object
required

AnalysisResult: The result of a statistical analysis for an experiment instance.

analysisResultId
string

The ID to use for the analysis result, which will become the final component of the analysis result's resource name. If not set a random id will be generated.

This value should be 2-63 characters, and valid characters are /[a-z][0-9]-/.

Response

200 - application/json

Returns a AnalysisResult.

The result of a statistical analysis for an experiment instance.

createTime
object
required

The time the analysis result was first created.

updateTime
object
required

Time when the analysis result was last updated.

creator
string
required

Reference to the identity that created this analysis result.

updater
string
required

Reference to the identity that last updated this analysis result.

name
string

Resource name of this analysis result.

exposureFilter
string

Name of the exposure filter applied to this analysis result.

annotations
object[]

Annotations surfaced during the analysis, such as warnings, errors, or informational messages.

results
object[]

Statistical results for each hypothesis tested in this analysis.

treatments
object[]

Information about each treatment group, including shipping recommendations.

labels
object[]

Custom key value pairs for this analysis result.